#!/usr/bin/env Rscript
X11(type="cairo")	# 日本語を含むグラフを描くときこれを入れておく
skt <- read.csv("sakatarainfall.csv")	# 酒田にも24時を足しておく
wzm <- read.csv("wazimarainfall.csv")	# Rの代入は <- (Rubyの = )

# 酒田と輪島の降雨量を縦2列にくっつけるのが rbind()
sktwzm <- rbind(skt$rainfall, wzm$rainfall)

mkgraph <- function() {	# 関数定義。Rubyでいう def ... end
  barplot(sktwzm, names=wzm$hour, col=c("green", "yellow"), ylim=c(0,120), beside=T, legend=c("酒田", "輪島"))
}			# 関数定義ここまで(2回作図するので関数化している)
mkgraph()		# 上で定義した作図関数を呼び出す
cat("Enterを押してください\n")
readLines("stdin",n=1)	# Rubyのgets

jpeg(filename="rainfall.jpg", width=600, height=600, pointsize=16)
mkgraph()		# もう一回作図
cat("rainfall.jpgに出力しました。\ndisplay rainfall.jpg で見られます。\n")
